package com.renrenliao.im.ui.fragment

import android.os.Bundle
import android.view.View
import android.widget.TextView
import com.gyf.immersionbar.ktx.statusBarHeight
import com.renrenliao.im.R
import com.renrenliao.im.base.BaseFragment
import com.renrenliao.im.ext.click
import com.renrenliao.im.utils.LogUtils
import com.renrenliao.im.utils.RouteUtils
import kotlinx.android.synthetic.main.fragment_discover.*

/**
 **@ClassName AlarmsFragment
 **@Description
 **@Author gan
 **@Date 2022/5/26 12:53
 **/
class DiscoverFragment : BaseFragment() {
    private val TAG = DiscoverFragment::class.java.simpleName

    override fun getLayoutResId(): Int = R.layout.fragment_discover

    override fun initView() {

        ll_parent.setPadding(0, statusBarHeight, 0, 0)

        //点击朋友圈
        rl_friendCircle.click {
            RouteUtils.gotoFriendCircle(requireContext())
        }

    }

    override fun initData() {

    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        LogUtils.error(TAG + "onViewCreated")
    }

    override fun onDestroyView() {
        super.onDestroyView()
        LogUtils.error(TAG + "onDestroyView")
    }

    override fun onDestroy() {
        super.onDestroy()
        LogUtils.error(TAG + "onDestroy")
    }
}